Skip to main content
POST
Delete a file from a session mount

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

session_id
string<toolRouterSessionId>
required

The unique identifier of the tool router session

Example:

"trs_1a2b3c4d5e6f"

mount_id
string
required

ID of the storage mount

Minimum string length: 1
Example:

"files"

Body

application/json
mount_relative_path
string
required

Relative file path within the mount

Minimum string length: 1
Example:

"report.pdf"

Response

File deleted successfully

mount_relative_path
string
required

Relative file path that was deleted

sandbox_mount_prefix
string
required

Absolute mount path inside the sandbox (e.g. /mnt/files)